=== debian/changelog ===
filler (1.02-6.4) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Non-maintainer upload.
  * Bump debhelper to 12 (Closes: #965521)
    - debian/rules: port to use dh (Closes: #998958)
  * Port to DebSrc3.0 (quilt)

  [ Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com> ]
  * Distribute manpage (Closes: #780484)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 10 Dec 2022 03:20:44 +0800

filler (1.02-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Invoke dh_strip_nondeterminism to make the package reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Sep 2019 15:08:27 +0200

filler (1.02-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not delete the shipped /var/games/filler.ratings.gz while initializing
    /var/games/filler.ratings.  (Closes: #689127)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Dec 2014 21:57:47 +0100

filler (1.02-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-depends-indep to use default-jdk.
  * Update depends to use default-jre | java*-runtime.
  * Patch Makefile to look for $(JAVA_HOME)/bin/javac.
  * Make clean not ignore errors. (Static makefile).
  * Add binary-arch target to rules as per policy. (Closes: #395595).
  * Install desktop file in correct place, /usr/share/applications.
  * Clean up debian/copyright.
    + Still needs work as no files mention the actual copyright holder.
  * Replace deprecated dh_installmanpages with dh_installman.
  * Add watch file.
  * Version debhelper build-dep and set to 5.
  * Move DH_COMPAT from rules to compat and set to 5.
  * Move debhelper to build-depends to satisfy clean.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 28 Sep 2009 12:32:41 -0400

filler (1.02-6) unstable; urgency=low

  * The "main/" in the Section line of debian/control should be assumed.

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Sat, 29 Apr 2006 14:07:00 -0400

filler (1.02-5) unstable; urgency=low

  * Change project to use Free VM dependencies.  Moved from contrib to main.
  * Clarified URL of package's source.
  * Specify src tree in --classpath option of javac statement.
  * Use correct temp directory in rules (debian/filler, not debian/tmp).
  * Updated DH_COMPAT of rules to 4 (from 1).
  * Eliminated unused dh_* lines from rules.

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Wed, 11 Jan 2006 08:18:00 -0400

filler (1.02-4) unstable; urgency=low

  * Changed build-depends to specify sharutils (for uuencode).  Closes #306791.
  * Eliminated extra colon in TournamentPointsTableRow.java.
  * Renamed /var/games/ratings.ser to /var/games/filler.ratings.
  * Changed permissions on /var/games/ratings.ser to 664.
  * If the user can't write to the ratings file, display a dialog explaining
    they need to add themselves to "games" group.  Closes #309799.

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Mon, 16 Aug 2004 08:23:00 -0400

filler (1.02-3) unstable; urgency=low

  * Changed build-depends to specify java2-compiler instead of java-compiler.

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Mon, 16 Aug 2004 08:23:00 -0400

filler (1.02-2) unstable; urgency=low

  * New maintainer.  Adopting orphaned package. Closes: #232868
  * Updated description. Closes: #93926
  * Updated package to v3.6.1 of Debian Policy

 -- James Damour (Suvarov454) <suvarov454@users.sourceforge.net>  Thu,  3 Jun 2004 22:48:50 -0400

filler (1.02-1) unstable; urgency=low

  * rating.ser moved from /var/lib/games to /var/games - FSH compliance.
    (Closes: #115850)

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Wed, 17 Oct 2001 12:53:29 +0200

filler (1.01-5) unstable; urgency=low

  * Cleaned mistake in preinst script.
  * Updated control file.

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Wed, 17 Oct 2001 12:51:13 +0200

filler (1.01-4) unstable; urgency=low

  * Removed bug in installation scripts (new versions of filler will not 
    overwrite a ratings.

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Sun, 08 Apr 2001 19:52:42 +0100

filler (1.01-3) unstable; urgency=low

  * Cleanups for lintian

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Sun, 01 Apr 2001 18:52:42 +0100

filler (1.01-2) unstable; urgency=low

  * Added SGID to /usr/games/filler
  * filler jar archive moved to /usr/share/java
  * Added real manpage

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Mon, 12 Feb 2001 18:52:42 +0100

filler (1.01) unstable; urgency=low

  * Polish locale added by Wojciech Jeczmien
  * Changed way of testing java during debian package installation. 
    Now you can use any distribution of java 1.2 (SUN or blackdown)

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Sun, 17 Dec 2000 12:01:16 +0100

filler (1.0-1) unstable; urgency=low

  * Initial release.

 -- Wojciech Jeczmien <jeczmien@ocean.univ.gda.pl>  Wed, 13 Dec 2000 21:41:10 +0100

Local variables:
mode: debian-changelog
End:
