=== debian/control ===
Source: filler
Section: games
Priority: optional
Maintainer: James Damour (Suvarov454) <suvarov454@users.sourceforge.net>
Build-Depends: debhelper-compat (= 12), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, default-jdk
Standards-Version: 3.8.3

Package: filler
Architecture: all
Depends: default-jre | java1-runtime | java2-runtime, ${misc:Depends}
Description: simple game where two players try to capture half the board
 Filler is a simple game where two players try to capture half of the board.
 Players take turns selecting colours to capture all adjacent hexes of the
 same colour.
