=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

override_dh_auto_install:
	uudecode -o other/filler.png other/filler.u
	uudecode -o debian/filler.xpm debian/filler.u
	install -m 664 -o root -g games other/ratings.ser debian/filler/var/games/filler.ratings
	gzip -f debian/filler/var/games/filler.ratings
	install -m 755 -o root -g games other/filler debian/filler/usr/games
	install -m 644 -o root -g root debian/filler.xpm debian/filler/usr/share/pixmaps
	install -m 644 -o root -g root other/filler.png debian/filler/usr/share/pixmaps
	install -m 644 -o root -g root other/filler.desktop debian/filler/usr/share/applications
	install -m 644 -o root -g games filler.jar debian/filler/usr/share/java

	# You may want to make some executables suid here.
	chown root debian/filler/usr/games/filler
	chgrp games debian/filler/usr/games/filler
	chmod 755 debian/filler/usr/games/filler
